Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225729 - Merge Review: enscript
Summary: Merge Review: enscript
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:33 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-14 13:45 UTC (History)
2 users (show)

Fixed In Version: enscript-1.6.4-16.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-14 13:45:50 UTC
ovasik: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:33:10 UTC
Fedora Merge Review: enscript

http://cvs.fedora.redhat.com/viewcvs/devel/enscript/
Initial Owner: atkac@redhat.com

Comment 1 Adam Tkac 2009-11-30 14:18:12 UTC
Package enscript-1.6.4-15.fc13 should be fine, there is only one warning:

enscript.spec:27: W: unversioned-explicit-obsoletes nenscript

I wasn't able to figure which version of nenscript was the latest existing so I think warning is acceptable.

Comment 2 Ondrej Vasik 2009-12-07 17:49:07 UTC
Probably ftp://ftp.pbone.net/mirror/archive.download.redhat.com/pub/redhat/linux/5.2/en/os/i386/SRPMS/nenscript-1.13++-12.src.rpm - as this is the one from Red Hat 5.2 and in Red Hat 6.0 was already enscript-1.6.1-8.src.rpm - I'd prefer to change it to versioned obsolete but it is acceptable even unversioned.

Comment 3 Ondrej Vasik 2009-12-07 18:27:00 UTC
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST: The package must be named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec
- MUST(4,5,6): The package must meet the Packaging Guidelines
+ MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .
- MUST(1): The License field in spec match the actual license
- MUST(2): If (and only if) the source package includes the text of the license(s) in its own file, then that file must be included in %doc
+ MUST: The spec file written in American English
+ MUST: The spec file for the package is legible
- MUST(3): The sources used to build the package must match the upstream
source, as provided in the spec URL
+ MUST: The package successfully compile
+ MUST: All build dependencies must be listed in BuildRequires
+ MUST: The spec file handle locales properly
0 MUST: Every package which stores shared library files in any of the dynamic
linker's default paths, must call ldconfig in %post and %postun
+ MUST: Packages does not bundle copies of system libraries
+ MUST: Package own all directories that it creates
+ MUST: Package does not list a file more than once in the spec file
+ MUST: Permissions on files must be set properly. Every %files section must
include a %defattr(...) line
+ MUST: Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT)
+ MUST: Package use macros consistently
+ MUST: Package contains code, or permissable content
+ MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application
0 MUST: Header files in a -devel package
0 MUST: Static libraries in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
0 MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop
file
+ MUST: Packages must not own files or directories already owned by other
packages
+ MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8.


1) License is actually GPLv2+ - from README:
"Enscript is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version."

2) COPYING is not packaged in doc - please include it

3) enscript-1.6.4.tar.gz does NOT match upstream
cvs:
b5174b59e4a050fb462af5dbf28ebba3  enscript-1.6.4.tar.gz
upstream (http://www.iki.fi/mtr/genscript/enscript-1.6.4.tar.gz):
9abb0dee940d898af776508a5693ff24  enscript-1.6.4.tar.gz

please explain or fix Source0 - Source1 and Source2 do match upstream

Additionally fix: 
4) fix versioned obsoletes/provides
5) comment the patches, add bugzilla links (either in spec or in patches)
6) %find_lang usage to detect .mo files (to prevent issues in future releases)

Rest seems to be ok...

Comment 4 Adam Tkac 2009-12-14 13:05:02 UTC
All problems should be fixed in enscript-1.6.4-16.fc13.

Note it is quite tricky to check if source matches upstream. Upstream moved to GNU site and 1.6.4 tarball no longer publicly exists. You have to clone upstream git repo, create 1.6.4 tarball from v1.6.4 tag and compare distribution tarball and upstream tarball via "diff -urp". Please do not use {md5,sha*}sum.

Comment 5 Ondrej Vasik 2009-12-14 13:45:50 UTC
Looks ok for me now, approved...


Note You need to log in before you can comment on or make changes to this bug.